summaryrefslogtreecommitdiff
path: root/openwrt/package/pptp/files
diff options
context:
space:
mode:
authorNicolas Thill <nico@openwrt.org>2005-05-18 23:42:09 +0000
committerNicolas Thill <nico@openwrt.org>2005-05-18 23:42:09 +0000
commitad8d8e100e98b561fce52e426aebc853c3e85372 (patch)
treebc89a13663db6b74780802837517151735dc5bd1 /openwrt/package/pptp/files
parentc4c02b571bf1465a42f692a1ff37b03cc87374f3 (diff)
downloadmtk-20170518-ad8d8e100e98b561fce52e426aebc853c3e85372.zip
mtk-20170518-ad8d8e100e98b561fce52e426aebc853c3e85372.tar.gz
mtk-20170518-ad8d8e100e98b561fce52e426aebc853c3e85372.tar.bz2
Convert pptp to new packaging style
SVN-Revision: 941
Diffstat (limited to 'openwrt/package/pptp/files')
-rw-r--r--openwrt/package/pptp/files/options.pptp12
-rw-r--r--openwrt/package/pptp/files/pptp.init18
2 files changed, 30 insertions, 0 deletions
diff --git a/openwrt/package/pptp/files/options.pptp b/openwrt/package/pptp/files/options.pptp
new file mode 100644
index 0000000..0eb1e87
--- /dev/null
+++ b/openwrt/package/pptp/files/options.pptp
@@ -0,0 +1,12 @@
+lock
+noauth
+nobsdcomp
+nodeflate
+mtu 1490
+mru 1490
+lcp-echo-failure 5
+lcp-echo-interval 120
+idle 0
+defaultroute
+name xxxx
+remotename xxxx
diff --git a/openwrt/package/pptp/files/pptp.init b/openwrt/package/pptp/files/pptp.init
new file mode 100644
index 0000000..34ff8a6
--- /dev/null
+++ b/openwrt/package/pptp/files/pptp.init
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+. /etc/functions.sh
+
+WAN_PROTO=$(nvram get wan_proto)
+[ "$WAN_PROTO" = "pptp" ] || exit 0
+
+for module in ip_gre slhc ppp_generic ppp_async ppp_deflate ; do
+ /sbin/insmod $module 2>/dev/null >/dev/null
+done
+
+if test -d "/var/lock"; then
+ mkdir -p /var/lock || exit 1
+fi
+
+/usr/sbin/pppd pty "pptp x.x.x.x --loglevel 0 --nolaunchpppd" file /etc/ppp/options.pptp
+
+